# Delete brand

{% delete /%}
{% path text="/v1/brand/delete" /%}

This API is used to delete the brand. You can delete the existing brand, and the deleted brand cannot be retrieved.

## Code snippet

{% codetab %}

cURL

```shell
curl -X DELETE 'https://api.boldsign.com/v1/brand/delete?brandId={brandid}' \
      -H 'X-API-KEY: {your API key}'
```

C#

```csharp
var apiClient = new ApiClient("https://api.boldsign.com", "Your_API_Key");

var brandingClient = new BrandingClient(apiClient);

brandingClient.DeleteBrand("YOUR_BRAND_ID");
```

Python

```python
import boldsign

configuration = boldsign.Configuration(host = "https://api.boldsign.com", api_key="YOUR_API_KEY")

with boldsign.ApiClient(configuration) as api_client:
    
    branding_api = boldsign.BrandingApi(api_client)
    branding_api.delete_brand(brand_id="YOUR_BRAND_ID")
```

PHP

```php
<?php require_once "vendor/autoload.php";

use BoldSign\Configuration;
use BoldSign\Api\BrandingApi;

$config = new Configuration();
$config->setHost('https://api.boldsign.com');
$config->setApiKey('YOUR_API_KEY');

$branding_api = new BrandingApi($config);
$branding_api->deleteBrand($brand_id = 'YOUR_BRAND_ID');
```

Java

```java
ApiClient client = Configuration.getDefaultApiClient();
client.setBasePath("https://api.boldsign.com");
client.setApiKey("YOUR_API_KEY");
            
BrandingApi brandingApi = new BrandingApi(client);
brandingApi.deleteBrand("YOUR_BRAND_ID");
```

NodeJS

```js
import { BrandingApi } from "boldsign";

const brandingApi = new BrandingApi("https://api.boldsign.com");
brandingApi.setApiKey("YOUR_API_KEY");

brandingApi.deleteBrand("YOUR_BRAND_ID"); 
```

{% /codetab %}

## Query parameters

{% nestedtable %}

- {% arguments name="brandId" /%}{% batch datatype="string" /%}{% required /%}
- The brand Id obtained after successful brand creation needs to be passed to delete the brand. 

{% /nestedtable %}

## Example response

***200 Success***

```json
{
  "message": "The brand has been deleted successfully"
}
```
